org.eclipse.oomph.predicates

## Interface FilePredicate

- All Superinterfaces:
    EObject, ModelElement, Notifier, Predicate
  All Known Implementing Classes:
    FilePredicateImpl

      public interface FilePredicate
      extends Predicate

  A representation of the model object 'File Predicate'.

  The following features are supported:

  - `File Pattern`
  - `Content Pattern`
  See Also:
    `PredicatesPackage.getFilePredicate()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentPattern()` Returns the value of the 'Content Pattern' attribute.
    `String` | `getFilePattern()` Returns the value of the 'File Pattern' attribute.
    `void` | `setContentPattern(String value)` Sets the value of the '`Content Pattern`' attribute.
    `void` | `setFilePattern(String value)` Sets the value of the '`File Pattern`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.predicates.Predicate

      `matches`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getFilePattern

          String getFilePattern()

      Returns the value of the 'File Pattern' attribute.

      If the meaning of the 'File Pattern' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'File Pattern' attribute.
      See Also:
        `setFilePattern(String)`, `PredicatesPackage.getFilePredicate_FilePattern()`
      Generated
      Model
        required="true"

    - #### setFilePattern

          void setFilePattern(String value)

      Sets the value of the '`File Pattern`' attribute.
      Parameters:
        `value` - the new value of the 'File Pattern' attribute.
      See Also:
        `getFilePattern()`
      Generated

    - #### getContentPattern

          String getContentPattern()

      Returns the value of the 'Content Pattern' attribute.

      If the meaning of the 'Content Pattern' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Content Pattern' attribute.
      See Also:
        `setContentPattern(String)`, `PredicatesPackage.getFilePredicate_ContentPattern()`
      Generated
      Model

    - #### setContentPattern

          void setContentPattern(String value)

      Sets the value of the '`Content Pattern`' attribute.
      Parameters:
        `value` - the new value of the 'Content Pattern' attribute.
      See Also:
        `getContentPattern()`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html